import QtQuick 2.10
import QtQuick.Controls 2.3
import QtQuick.Layouts 1.3

ApplicationWindow
{
    id: win_main
    title: "FediPotato"
    visible: true
    width: 400
    height: 500

    menuBar: MenuBar
    {
        Menu
        {
            title: "&FediPotato"
            MenuItem
            {
                id: menu_exit
                text: qsTr("Exit")
                onTriggered: Qt.quit();

                Shortcut
                {
                    sequence: "Ctrl+Q"
                    context: Qt.ApplicationShortcut
                    onActivated: menu_exit.clicked();
                }
            }
        }

        Menu
        {
            title: qsTr("&Help")
            MenuItem
            {
                text: qsTr("Website")
                onTriggered: Qt.openUrlExternally("http://fedipotato.org/")
            }
            MenuItem
            {
                text: qsTr("About FediPotato")
                onTriggered: dialog_about.open()
            }
        }
    }

    Dialog
    {
        id: dialog_about
        title: qsTr("About FediPotato") + " " + QMLBridge.get_version()
        standardButtons: Dialog.Close

        ColumnLayout
        {
            width: parent.width

            Label
            {
                text: qsTr("Client for Fediverse servers.")
            }

            Label
            {
                Layout.fillWidth: true
                wrapMode: Text.WordWrap
                onLinkActivated: Qt.openUrlExternally(link)
                text: qsTr("License AGPLv3: <a href='https://www.gnu.org/" +
                           "licenses/agpl-3.0.txt'>" +
                           "GNU Affero GPL version 3</a>.<br>" +
                           "This program comes with ABSOLUTELY NO WARRANTY. " +
                           "This is free software, and you are welcome to " +
                           "redistribute it under certain conditions.")
            }
        }
    }
}
