/*  This file is part of FediPotato.
 *  Copyright © 2020 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "qmlbridge.hpp"

#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>

using namespace FediPotato;

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    QMLBridge qmlbridge;

    QQmlApplicationEngine engine;
    // Make qmlbridge callable as QMLBridge in QML files.
    engine.rootContext()->setContextProperty("QMLBridge", &qmlbridge);
    engine.load(QUrl(QStringLiteral("qrc:/qml/mainwindow.qml")));

    return QGuiApplication::exec();
}
